Bug 1014040 - Review Request: clinfo - Enumerate OpenCL platforms and devices
Review Request: clinfo - Enumerate OpenCL platforms and devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 05:58 EDT by Fabian Deutsch
Modified: 2013-10-18 15:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: clinfo-0.1-0.2.git20131001.7f44937.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-10-01 05:58:37 EDT
Spec URL: https://raw.github.com/fabiand/clinfo-spec/master/clinfo.spec
SRPM URL: http://fedorapeople.org/~fabiand/opencl/clinfo-0.1-0.1.fc19.src.rpm
Description:
A simple OpenCL application that enumerates all possible platform and
device properties. Inspired by AMD's program of the same name, it is
coded in pure C99 and it tries to output all possible information,
including that provided by platform-specific extensions, and not to
crash on platform-unsupported properties (e.g. 1.2 properties on 1.1
platforms).
Fedora Account System Username: fabiand
Comment 1 Fabian Deutsch 2013-10-01 06:00:11 EDT
opencl-utils plans to also provide a clinfo tool - but they say that for long and nothing happened.
Mentioning this because this _could_ lead to a name clash ... but besides that there are many clinfo tools out there in the wild.
Comment 4 Björn "besser82" Esser 2013-10-01 07:32:47 EDT
LGTM  :)

Just drop the "%post* -p /sbin/ldconfig" on import.  They are not needed, because there's no library.

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in
     /home/besser82/shared/fedora/review/1014040-clinfo/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.

     ---> Scriptlets are not needed.  Please drop them on import.

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: clinfo-0.1-0.1.git20131001.7f44937.fc21.x86_64.rpm
          clinfo-0.1-0.1.git20131001.7f44937.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint clinfo
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
clinfo (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libOpenCL.so.1()(64bit)
    libOpenCL.so.1(OPENCL_1.0)(64bit)
    libc.so.6()(64bit)
    opencl-filesystem
    rtld(GNU_HASH)



Provides
--------
clinfo:
    clinfo
    clinfo(x86-64)



Source checksums
----------------
https://github.com/Oblomov/clinfo/archive/7f44937169b1d7d0fb446cc0b1878cf0c09017f1/clinfo-0.1-7f44937.tar.gz :
  CHECKSUM(SHA256) this package     : 820845af57f082ff3805559baf1fe61061fb357b4d0bc40a677070d836e43d22
  CHECKSUM(SHA256) upstream package : 820845af57f082ff3805559baf1fe61061fb357b4d0bc40a677070d836e43d22


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1014040
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 5 Fabian Deutsch 2013-10-01 07:37:19 EDT
New Package SCM Request
=======================
Package Name: clinfo
Short Description: Enumerate OpenCL platforms and devices
Owners: fabiand
Branches: f19 f20
InitialCC: besser82
Comment 6 Jon Ciesla 2013-10-01 08:19:19 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-10-01 09:25:42 EDT
clinfo-0.1-0.2.git20131001.7f44937.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/clinfo-0.1-0.2.git20131001.7f44937.fc20
Comment 8 Fedora Update System 2013-10-01 09:25:54 EDT
clinfo-0.1-0.2.git20131001.7f44937.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/clinfo-0.1-0.2.git20131001.7f44937.fc19
Comment 9 Fedora Update System 2013-10-02 02:34:31 EDT
clinfo-0.1-0.2.git20131001.7f44937.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-10-15 02:37:44 EDT
clinfo-0.1-0.2.git20131001.7f44937.fc20 has been pushed to the Fedora 20 stable repository.
Comment 11 Fedora Update System 2013-10-18 15:56:11 EDT
clinfo-0.1-0.2.git20131001.7f44937.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.